function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import { Row } from 'antd';
import dayjs from 'dayjs';
import { useContext } from 'react';
import { VmTitle, VmWrapper } from "../../../_components";
import { RestaurantContext } from "../../index";
import DetailList from "../Basic/DetailList";
import Summary from "../Basic/Summary";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var Collection = function Collection() {
  var _useSetState = useSetState({
      startDate: dayjs().subtract(30, 'day'),
      endDate: dayjs()
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var startDay = dayjs(state.startDate).format('YYYY-MM-DD');
  var endDay = dayjs(state.endDate).format('YYYY-MM-DD');
  var filterChange = function filterChange(dateValue) {
    setState({
      startDate: dateValue[0],
      endDate: dateValue[1]
    });
  };
  var _useContext = useContext(RestaurantContext),
    date = _useContext.date;
  return /*#__PURE__*/_jsxs(Row, {
    gutter: [10, 10],
    style: {
      height: '100%'
    },
    children: [/*#__PURE__*/_jsx("div", {
      style: {
        height: 138,
        width: '100%'
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: "\u4ECA\u65E5\u6536\u8FD0\u6C47\u603B(".concat(date, ")"),
        children: /*#__PURE__*/_jsx(Summary, {
          startDay: date,
          endDay: date
        })
      })
    }), /*#__PURE__*/_jsx("div", {
      style: {
        height: 'calc(100% - 148px)',
        width: '100%'
      },
      children: /*#__PURE__*/_jsxs(VmWrapper, {
        title: '历史收运汇总',
        filterType: "rangePicker",
        dateValue: [state.startDate, state.endDate],
        filterChange: filterChange,
        disabledDate: function disabledDate(current) {
          return current && current > dayjs().endOf('day');
        },
        children: [/*#__PURE__*/_jsx(VmTitle, {
          title: '产生汇总',
          border: false
        }), /*#__PURE__*/_jsx(Summary, {
          startDay: startDay,
          endDay: endDay
        }), /*#__PURE__*/_jsx(VmTitle, {
          title: '收运记录明细',
          border: false
        }), /*#__PURE__*/_jsx("div", {
          style: {
            height: 'calc(100% - 150px)'
          },
          children: /*#__PURE__*/_jsx(DetailList, {
            startDay: startDay,
            endDay: endDay
          })
        })]
      })
    })]
  });
};
export default Collection;